﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Documents.Model;
using Telerik.Windows.Documents.Layout;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.radRichTextBox.Document.MailMergeDataSource.ItemsSource = new List<Customer>()
            {
                new Customer()
                {
                    FirstName = "John",
                    LastName = "Doe", 
                    Orders = new List<Order>()
                    {
                        new Order() { ProductName = "Product 1" },
                        new Order() { ProductName = "Product 2" },
                    }
                },
                new Customer()
                {
                    FirstName = "Sara",
                    LastName = "Doe", 
                    Orders = new List<Order>()
                    {
                        new Order() { ProductName = "Product 3" },
                        new Order() { ProductName = "Product 4" },
                    }
                }
            };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.radRichTextBox.InsertField(new MergeField() { PropertyPath = "FirstName" });
            this.radRichTextBox.Insert(FormattingSymbolLayoutBox.ENTER);
            this.radRichTextBox.InsertField(new CustomMergeField() { PropertyPath = "Orders" });
        }
    }
}
